Skip to content
English
  • There are no suggestions because the search field is empty.

Stores and indexes the uploaded statements in batch.

PUT /statements/v1/batch Select code sample Fetch cURL
const url = 'https://example.com/statements/v1/batch';const options = {  method: 'PUT',  headers: {Authorization: 'Bearer 
  
   ', 'Content-Type': 'application/json'}, body: '{"generate_id":"false","graph_id":"00000000-0000-0000-0000-000000000000","issue_vc":"false","statements":["example"]}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}
  
curl --request PUT \  --url https://example.com/statements/v1/batch \  --header 'Authorization: Bearer 
  
   ' \ --header 'Content-Type: application/json' \ --data '{ "generate_id": "false", "graph_id": "00000000-0000-0000-0000-000000000000", "issue_vc": "false", "statements": [ "example" ] }'
  

Stores and indexes the uploaded statements in batch.

Authorizations

Section titled “Authorizations ”

Request Body required

Section titled “Request Body required ” Media type application/json object generate_id boolean nullable
Example
false
graph_id string nullable
Example
00000000-0000-0000-0000-000000000000
issue_vc boolean nullable
Example
false
statements required Array

Responses

Section titled “ Responses ”

201

Section titled “201 ”

Statements were stored and indexed successfully

Media type application/json object results required Array object jcs_cid required string rdfc_cid required string statement_id required string
Example generated
{  "results": [    {      "jcs_cid": "example",      "rdfc_cid": "example",      "statement_id": "example"    }  ]}

400

Section titled “400 ”

A submitted statement is missing @id while generate_id is unset, a provided @id does not match the computed statement CID, or the specified graph_id has not been registered. Register missing graphs at PUT “/graph/v1/”.

Media type application/json object callstack object One of: object internal required string object external required object error nullable url required string error required string
Example generated
{  "callstack": {    "internal": "example"  },  "error": "example"}
Previous
Stores and Indexes the uploaded statement.
Next
create_did